﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public struct CutsceneEvent {
	//the type of event this cutscene is. The options are characterMovement, cameraMovement, or dialogue
	public eventType thisEventType;
	//the name of the character you want to move
	public string charName;
    //the character itself you want to move
    public GameObject character;
	//the end location of the character after the movement
	public Vector3 endLocation;
	//how fast the movement is going to take
	public float speed;
	//how fast the zoom speed is going to take
	public float zoomSpeed;
	//should the handler wait for this action to complete before moving on
	public bool wait;
	//the width of the camera after the movement. Set to -1 for the camera to not zoom
	public float size;
	//what you want the character to say
	[TextArea]
	public string dialogue;
}
